<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- infoBlock.v01.xsl contient tous les templates d'affichage d'un infoBlockType de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!--
	les éléments communs du CDM infoBlock (provient du xhtml.xsl)
	doit toujours figurer en premier
	-->
	<xsl:template match="subBlock[string-length(@userDefined)&gt;0]"/>
	<xsl:template match="subBlock[string-length(@userDefined)=0]"><p><xsl:apply-templates/></p></xsl:template>
	<xsl:template match="br"><br/></xsl:template>
	<xsl:template match="list[@listType='bulleted' or @listType='' or not(@listType)]"><ul><xsl:apply-templates/></ul></xsl:template>
	<xsl:template match="list[@listType='numbered']"><ol><xsl:apply-templates/></ol></xsl:template>
	<xsl:template match="listItem"><li><xsl:apply-templates/></li></xsl:template>
	<xsl:template match="strong|emphasis|bold"><b><xsl:apply-templates/></b></xsl:template>
	<xsl:template match="italic"><i><xsl:apply-templates/></i></xsl:template>
	<xsl:template match="webLink"><a href="{href}"><xsl:value-of select="linkName"/></a></xsl:template>
	<xsl:template match="email">
		<xsl:if test="contains(.,'@')">
			<p><a href="mailto:{.}"><xsl:value-of select="."/></a></p>
		</xsl:if>
	</xsl:template>
	<xsl:template match="searchword"/>
	
	<!-- Modif URCA : Actuellement, on ne traite pas les balises <header> car redondant avec les titres d'Uniform
	<xsl:template match="header"><h4><xsl:value-of select="."/></h4></xsl:template>-->
	
	<!-- Templates infoBlock issu de commun/commun.xsl -->
	<xsl:template match="infoBlock | infoBlock">
		<xsl:apply-templates select="node()"/>
	</xsl:template>
	<xsl:template match="text">
		<xsl:value-of select="."/>
	</xsl:template>
	<xsl:template match="italic">
		<i>
			<xsl:apply-templates select="node()"/>
		</i>
	</xsl:template>
	<xsl:template match="bold">
		<b>
			<xsl:apply-templates select="node()"/>
		</b>
	</xsl:template>
	<xsl:template match="list">
		<ul>
			<xsl:apply-templates select="listItem"/>
			<!-- <xsl:apply-templates select="node()"/> -->
		</ul>
	</xsl:template>
	<xsl:template match="listItem">
		<li>
			<xsl:apply-templates select="node()"/>
		</li>
	</xsl:template>
	
	<!-- Redéfinition par ROT pour utilisation du userDefined-->
	<xsl:template match="picture">
		<xsl:if test="contains(normalize-space(.),'http')"> <!-- il faudrait controler avec majuscule -->
			<xsl:call-template name="afficheImage">
				<xsl:with-param name="imageURL" select="."/>
			</xsl:call-template>
		</xsl:if>
		<!-- <xsl:apply-templates select="node()"/> -->
	</xsl:template>
	<xsl:template name="afficheImage">
		<xsl:param name="imageURL"/>
		<xsl:if test="not($imageURL='')">
			<img>
				<xsl:attribute name="src">
					<xsl:value-of select="normalize-space($imageURL)"/>
				</xsl:attribute>
			</img>
		</xsl:if>
	</xsl:template>
	<!-- Fin de Redéfinition par ROT -->
	
	<xsl:template match="webLink | webLink">
		<xsl:param name="lienExterieur" select="1"/>
		<xsl:param name="menu"/>
		<xsl:variable name="http" select="normalize-space(./href)"/>
		<!-- modification pour gerer la balise picture/webLink/href -->
		<xsl:choose>
			<xsl:when test="../picture">
				<!-- on ne traite pas le webLink comme l'URL de l'image à afficher -->
				<!-- <xsl:if test="not($http='')">
					<xsl:call-template name="afficheImage">
						<xsl:with-param name="imageURL" select="$http"/>
					</xsl:call-template>
				</xsl:if>
				-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="not($http='') and ($menu = 1)">
						<p class="aURL">
							<xsl:call-template name="liensuRL">
								<xsl:with-param name="lienExterieur" select="$lienExterieur"/>
							</xsl:call-template>
						</p>
					</xsl:when>
					<xsl:when test="not($http='')">
						<xsl:call-template name="liensuRL">
							<xsl:with-param name="lienExterieur" select="$lienExterieur"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="liensuRL">
		<xsl:param name="lienExterieur"/>
		<xsl:variable name="linkName" select="normalize-space(./linkName)"/>
		<xsl:variable name="intitule">
			<xsl:choose>
				<xsl:when test="not($linkName = '')">
					<xsl:value-of select="$linkName"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="./@role='homepage'">
							<xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='17']/navigationItem/value[@lang=$_lang]"/>
						</xsl:when>
						<xsl:when test="./@role='learningObjectMetadata'">
							<xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='15']/navigationItem/value[@lang=$_lang]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='nd']/navigationItem/value[@lang=$_lang]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<a accesskey=" ">
			<xsl:attribute name="title"><xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='0']/linkTitle/value[@lang=$_lang]"/><xsl:text> </xsl:text><xsl:value-of select="$intitule"/></xsl:attribute>
			<xsl:if test="$lienExterieur = 1">
				<xsl:attribute name="onclick">return nleFenetre('<xsl:value-of select="normalize-space(./href)"/>')</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="href"><xsl:apply-templates select="href"/></xsl:attribute>
			<xsl:value-of select="$intitule"/>
		</a>
	</xsl:template>
	<xsl:template match="href">
		<xsl:value-of select="normalize-space(.)"/>
	</xsl:template>
	<xsl:template match="linkName">
		<xsl:value-of select="normalize-space(.)"/>
	</xsl:template>

</xsl:stylesheet>